Skip to main content
POST
/
v2
/
salesorder
/
calculate
Calculate prices, discounts, and taxes for a sales order without persisting it.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/salesorder/calculate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "recalculateTaxMode": 0,
  "changes": [
    {
      "companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
      "lineItemChanges": {
        "create": [
          {
            "syncNumber": 123,
            "itemId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
            "quantity": 123,
            "salesPriceNet": 123,
            "salesPriceGross": 123,
            "discountPercent": 123,
            "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
            "parentSyncNumber": 123
          }
        ],
        "update": [
          {
            "syncNumber": 123,
            "quantity": 123,
            "salesPriceNet": 123,
            "salesPriceGross": 123,
            "discountPercent": 123,
            "taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000"
          }
        ],
        "delete": [
          123
        ]
      },
      "currencyIso": "<string>",
      "currencyFactor": 123,
      "departureCountryIso": "<string>",
      "departureCountryStateCode": "<string>",
      "extraWeight": 123,
      "specialTaxTreatment": 0,
      "taxReference": 0
    }
  ]
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Body

application/json

Request parameters

Calculate prices, discounts, and taxes for a sales order without persisting it. - Request

calculateSalesOrderRequest
object

The sales order calculation request model in the original state before any changes.

recalculateTaxMode
enum<integer>

The mode for tax recalculation (NoRecalculation, KeepNetPrices, KeepGrossPrices).

Available options:
0,
1,
2
changes
object[]

The history of changes made to the sales order request. Changes are processed in the order specified.

Response

200 - application/json

Sales order calculated successfully.